import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'patent',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
                >
                    <Menu.Item key="patent">
                        专利申请
                    </Menu.Item>
                    <Menu.Item key="software">
                        软著申请
                    </Menu.Item>
                    <Menu.Item key="company">
                        高企认定
                    </Menu.Item>
                    <Menu.Item key="technology">
                        科技项目申报
                    </Menu.Item>
            </Menu>
        );
    }
});

export default LeftTab;